export default {
  path: "/permission",
  // redirect: "/error/403",
  meta: {
    icon: "lollipop",
    title: "权限管理",
    showLink: false,
    rank: 2
  },
  children: [
    {
      path: "/permission/page/index",
      name: "PermissionPage",
      component: () => import("@/views/permission/page/index.vue"),
      meta: {
        title: "页面权限",
        roles: ["admin", "common"]
      }
    },
    {
      path: "/permission/button/index",
      name: "PermissionButton",
      component: () => import("@/views/permission/button/index.vue"),
      meta: {
        title: "按钮权限",
        roles: ["admin", "common"],
        auths: ["btn_add", "btn_edit", "btn_delete"]
      }
    }
  ]
} as RouteConfigsTable;
